%define	rname	erc
%define version	5.2
%define rel	1

Name:		emacs-erc
Summary: 	ERC is an IRC (Internet Relay Chat) client program for Emacs
Version: 	%version
Release: 	%mkrel %rel
License:	GPL
Group: 		Editors
Source: 	http://ftp.gnu.org/gnu/%{rname}/%{rname}-%{version}.tar.gz
Url: 		http://emacswiki.org/cgi-bin/wiki.pl?EmacsIRCClient
Obsoletes:	erc
Provides:	erc = %version-%release
BuildRequires: 	emacs-bin
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}

%description
ERC is an IRC client for Emacs/XEmacs. It supports multiple channel presence,
elaborate faces' setup, pals' list, and some other nice features. It's
capabilities should be sufficient for most of IRChatters.

%prep 
%setup -q -n %rname-%version

%build
rm -f erc-bbdb.el erc-chess.el erc-ibuffer.el erc-speak.el erc-speedbar.el
%make autoloads
%_bindir/emacs --no-init-file --no-site-file -batch -l `pwd`/erc-maint -f batch-byte-compile *.el

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install	*.el *.elc $RPM_BUILD_ROOT/usr/share/emacs/site-lisp

install -d %buildroot%{_sysconfdir}/emacs/site-start.d
cat << EOF > %buildroot%{_sysconfdir}/emacs/site-start.d/%{rname}.el
(require 'erc-auto)
EOF


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog CREDITS HISTORY README
%_datadir/*/site-lisp/*el*
%config(noreplace) %_sysconfdir/emacs/site-start.d/erc.el




%changelog
* Sun Dec 16 2007 Olivier Blin <oblin@mandriva.com> 5.2-1mdv2008.0
+ Revision: 120665
- 5.2 (notably fix startup because of undefined erc-mode-map)
- update URL


* Fri Dec 15 2006 Pascal Terjan <pterjan@mandriva.org> 5.1.4-1mdv2007.0
+ Revision: 97455
- 5.1.4
- mkrel
- Import emacs-erc

* Sat Apr 30 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 5.0.2-2mdk
- rebuild for new emacs

* Tue Mar 15 2005 Pascal Terjan <pterjan@mandrake.org> 5.0.2-1mdk
- 5.0.2

* Wed Jul 21 2004 Pascal Terjan <pterjan@mandrake.org> 4.0-1mdk
- 4.0

